<?php
/**
 * @file
 * Support code for OSInet DR-713 course: Views 7.3 development
 */

/**
 * Implements hook_views_data().
 */
function dr713_views_data() {

  $ret = array();
  $ret['watchdog'] = array(
    'table' => array(
      'group' => t('Watchdog'),
      'base' => array(
        'field' => 'wid', // Single-column primary key needed
        'title' => t('Watchdog'),
        'help'  => t('Watchdog is the storage for the dblog module'),
        'weight' => -10,
      ),
    ),

    'wid' => array(
      'title' => t('Wid'),
      'help' => t('The ID for the watchdog row'),
      'field' => array(
        'click sortable' => TRUE,
        // 'handler' => 'views_handler_field',
      ),
    ),
  );

  $ret['dr713'] = array(
    'table' => array(
      'group' => t('DR-713 Course'),
      'join'  => array(
        '#global' => array(),
      ),
    ),
    'area' => array(
      'title' => t('DR-713 area'),
      'help' => t('Provide active content for the area.'),
      'area' => array(
        'handler' => 'dr713_handler_area_demo',
      ),
    ),
  );

  return $ret;
}

/**
 * Implements hook_views_plugins().
 */
function dr713_views_plugins() {
  $ret = array(
    'access' => array(
      'dr713var' => array(
        'title' => t('Variable'),
        'help' => t('Access will be granted when the variable is set to enabled.'),
        'handler' => 'dr713_plugin_access_var',
        'uses options' => FALSE,
        'help topic' => 'access-var',
      ),
    ),
  );
  return $ret;
}
