<?php
/**
 * @file
 * Support code for OSInet DR-713 course: Views 7.3 development: default views
 */

function dr713_views_default_views() {
  $view = new view;
  $view->name = 'watchdog';
  $view->description = 'List the watchdog IDs';
  $view->tag = 'dblog';
  $view->base_table = 'watchdog';
  $view->human_name = 'Watchdog IDs';
  $view->core = 7;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['access']['type'] = 'dr713var';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'wid' => 'wid',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'wid' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  /* Field: Watchdog: Wid */
  $handler->display->display_options['fields']['wid']['id'] = 'wid';
  $handler->display->display_options['fields']['wid']['table'] = 'watchdog';
  $handler->display->display_options['fields']['wid']['field'] = 'wid';
  $handler->display->display_options['fields']['wid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['wid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['wid']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['wid']['alter']['external'] = 0;
  $handler->display->display_options['fields']['wid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['wid']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['wid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['wid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['wid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['wid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['wid']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['wid']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['wid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['wid']['empty_zero'] = 0;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['path'] = 'admin/reports/dr713';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'DR-713 Watchdog';
  $handler->display->display_options['menu']['description'] = 'Just show the WIDs';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $translatables['Watchdog'] = array(
    t('Defaults'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort By'),
    t('Asc'),
    t('Desc'),
    t('Items per page'),
    t('- All -'),
    t('Offset'),
    t('Wid'),
    t('Page'),
  );
  // ---- End of view ----

  $views[$view->name] = $view;
  return $views;
}
